org.apache.solr.cloud

## Class RecoveryStrategy

- java.lang.Object
- - java.lang.Thread
  - - org.apache.solr.cloud.RecoveryStrategy

- All Implemented Interfaces:
    Closeable, AutoCloseable, Runnable

      public class RecoveryStrategy
      extends Thread
      implements Closeable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `RecoveryStrategy.RecoveryListener`

    - ### Nested classes/interfaces inherited from class java.lang.Thread

      `Thread.State, Thread.UncaughtExceptionHandler`

  - ### Field Summary

    - ### Fields inherited from class java.lang.Thread

      `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RecoveryStrategy(CoreContainer cc, CoreDescriptor cd, RecoveryStrategy.RecoveryListener recoveryListener)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `doRecovery(SolrCore core)`
    `boolean` | `isClosed()`
    `void` | `run()`
    `void` | `setRecoveringAfterStartup(boolean recoveringAfterStartup)`

    - ### Methods inherited from class java.lang.Thread

      `activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RecoveryStrategy

          public RecoveryStrategy(CoreContainer cc,
                                  CoreDescriptor cd,
                                  RecoveryStrategy.RecoveryListener recoveryListener)

  - ### Method Detail

    - #### setRecoveringAfterStartup

          public void setRecoveringAfterStartup(boolean recoveringAfterStartup)

    - #### close

          public void close()

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `Thread`

    - #### doRecovery

          public void doRecovery(SolrCore core)
                          throws org.apache.zookeeper.KeeperException,
                                 InterruptedException

      Throws:
        `org.apache.zookeeper.KeeperException`
        `InterruptedException`

    - #### isClosed

          public boolean isClosed()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.